获取用户资产划转记录
响应示例
{
"success": true,
"code": 0,
"data": {
"pageSize": 20,
"totalCount": 1,
"totalPage": 1,
"currentPage": 1,
"resultList": [
{
"id": 303381159,
"txid": "86f334f8850346e89ce4d0ba52b7aa87",
"currency": "USDT",
"amount": 1,
"type": "IN",
"state": "SUCCESS",
"createTime": 1760537642000,
"updateTime": 1760537641000
}
]
}
}
- GET
/api/v1/private/account/transfer_record
需要权限: 读取账户信息
请求参数:
| 参数名 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
| currency | string | false | 币种 |
| state | string | false | 状态:WAIT 、SUCCESS 、FAILED |
| type | string | false | 类型:IN 、OUT |
| page_num | int | true | 当前页数,默认为1 |
| page_size | int | true | 每页大小,默认20,最大100 |
响应参数:
| 参数名 | 类型 | 说明 |
|---|---|---|
| pageSize | int | 页面大小 |
| totalCount | int | 总条数 |
| totalPage | int | 总页数 |
| currentPage | int | 当前页 |
| resultList | list | 数据结果集 |
| id | long | id |
| txid | string | 流水号 |
| currency | string | 币种 |
| amount | decimal | 转账金额 |
| type | string | 类型:IN 、OUT |
| state | string | 状态:WAIT 、SUCCESS 、FAILED |
| createTime | long | 创建时间 |
| updateTime | long | 修改时间 |